Get Onboarded Carriers
This endpoint allows external systems to retrieve onboarded carrier contacts configured for the authenticated customer.
Authentication
Include your
Access-Tokenin the header of your requests.Include your
x-api-keyThe API key provided by GenLogs. This header must be included in the request.
Permissions
The external-api-get-onboarded-carrier-contact permission is required to access this endpoint.
Endpoint
URL:
https://api.genlogs.io/onboarded-carrier/contactsMethod: GET
Headers
Access-Token: (string, required): Access token obtained from the "Create Access Token" endpoint.
x-api-key (string, required): The API key provided by GenLogs.
Request Body:
usdot_number (string, optional): Carrier USDOT number or numbers comma separated. Must be a non-empty value.
page (string, optional): Expected page to be listed.
page_size (string, optional): Amount of items per page
Request Example:
Response:
200 OK: A JSON object containing the information of carrier contacts.
400 Bad Request: If the provided parameters are malformed or invalid.
401 Unauthorized: If the authentication credentials (Access-Token) is missing or incorrect.
403 Forbidden: If the permission has not been added to your user.
500 Internal Server Error: If there is an issue on the server that prevents processing the request.
Response Body:
200 OK – Contacts listed Successfully
400 Bad RequestReturned when:
usdot_numberis invalid, empty or equal to zeropagevalue is out of bounds or not a valid integerpage_sizevalue is out of bounds or not a valid integer
403 Forbidden
Returns a paginated list of onboarded carrier contacts for the authenticated customer. Only contacts belonging to the customer identified in the JWT are returned. Requires the external-api-get-onboarded-carrier-contact permission.
JWT provided directly in the Access-Token header.
API key provided by GenLogs.
Page number of results to return.
1Example: 1Number of results per page (max 200).
50Example: 50USDOT number(s) to filter by. Supports a single value or a comma-separated list.
942132,635760Onboarded carrier contacts retrieved successfully.
Bad Request – Invalid query parameters.
Unauthorized – Invalid or missing authentication headers.
Forbidden – User does not have required permission.
Internal Server Error.
GET /onboarded-carrier/contacts HTTP/1.1
Host: api.genlogs.io
Access-Token: YOUR_API_KEY
x-api-key: YOUR_API_KEY
Accept: */*
{
"contacts": [
{
"contact_id": "00-00-00-00-00",
"dot_number": "942132",
"customer_id": 3,
"contact_name": "John Doe",
"contact_email": "jhomdoe1@email.com",
"contact_phone": "(555) 555-5555",
"contact_source": "GENLOGS"
}
],
"pagination": {
"page_size": 20,
"current_page": 1,
"total_pages": 5
}
}Last updated